org.w3._2001._04.xmlenc

## Class CipherData

- java.lang.Object
- - org.w3._2001._04.xmlenc.CipherData

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class CipherData
      extends Object
      implements Serializable

  Java class for CipherDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CipherDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="CipherValue" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element ref="{http://www.w3.org/2001/04/xmlenc#}CipherReference"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CipherReference` | `getCipherReference()` Gets the value of the cipherReference property.
    `byte[]` | `getCipherValue()` Gets the value of the cipherValue property.
    `void` | `setCipherReference(CipherReference value)` Sets the value of the cipherReference property.
    `void` | `setCipherValue(byte[] value)` Sets the value of the cipherValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherData

          public CipherData()

  - ### Method Detail

    - #### getCipherReference

          public CipherReference getCipherReference()

      Gets the value of the cipherReference property.
      Returns:
        possible object is `CipherReference`

    - #### setCipherReference

          public void setCipherReference(CipherReference value)

      Sets the value of the cipherReference property.
      Parameters:
        `value` - allowed object is `CipherReference`

    - #### getCipherValue

          public byte[] getCipherValue()

      Gets the value of the cipherValue property.
      Returns:
        possible object is byte[]

    - #### setCipherValue

          public void setCipherValue(byte[] value)

      Sets the value of the cipherValue property.
      Parameters:
        `value` - allowed object is byte[]

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.